#include <iostream>

using namespace std;

int main() {
    int N, L;

    cin >> N >> L;

    int h;

    for (int i = 1; i <= N; i++) {
        cin >> h;

        if (h > L)
        {
            cout << i << endl;
            return 0;
        }
                                }


    cout << -1 << endl;

    return 0;
}